# $Revision: 1.7 $, $Date: 2007/09/05 16:21:16 $
Summary:	Resource Manager
Summary(pl.UTF-8):	Zarządca zasobów
Name:		resmgr
Version:	1.0
Release:	3
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.lst.de/pub/people/okir/resmgr/%{name}-%{version}.tar.bz2
# Source0-md5:	c231de6ca7d59265eeeccdfcb8090801
Patch0:		%{name}-va_list.patch
Patch1:		%{name}-syslog.patch
URL:		http://www.lst.de/~okir/resmgr/
BuildRequires:	pam-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this Resource Manager is to provide a common framework
for applications such as serial terminal emulators, CD writers,
scanner software, MIDI players.

%description -l pl.UTF-8
Celem tego zarządcy zasobów jest dostarczenie wspólnego szkieletu dla
aplikacji takich jak emulatory terminali szeregowych, nagrywarki CD,
programy do skanowania, odtwarzacze MIDI.

%package devel
Summary:	Header files for resmgr library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki resmgr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for resmgr library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki resmgr.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	PAMDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir}

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libresmgr.so.*.* libresmgr.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE INSTALL README TODO
%attr(755,root,root) %{_sbindir}/resmgr
%attr(755,root,root) %{_sbindir}/resmgrd
%attr(755,root,root) %{_libdir}/libresmgr.so.*.*
%attr(755,root,root) /%{_lib}/security/pam_resmgr.so
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/resmgr.conf
%{_mandir}/man1/resmgr.1*
%{_mandir}/man5/resmgr.conf.5*
%{_mandir}/man8/pam_resmgr.8*
%{_mandir}/man8/resmgrd.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libresmgr.so
%{_includedir}/resmgr.h
%{_mandir}/man3/resmgr.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: resmgr.spec,v $
Revision 1.7  2007/09/05 16:21:16  baggins
- rel 3
- fix compilation failure due to missing header

Revision 1.6  2007/09/05 14:21:07  baggins
- rel 2

Revision 1.5  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.3  2005/03/16 10:50:49  havner
- va_list patch

Revision 1.2  2005/03/15 08:31:59  havner
- rel 1

Revision 1.1  2005/01/09 00:41:09  qboosh
- new

